*{
  margin:0;
  padding:0;
  font-family:"Open Sans";
}

#header{
  color: #fff;
  background-color:#a30000;
  z-index:100;

  position: fixed;
  top: 0;
  width: 100%;
}
#header_default, #header_logged_in{
  padding:10px 0;
  display:flex;
  justify-content: space-around;
  /* height:50px; */
}
#header_logged_in{
  display:none;
}
#header p{
  display:inline;
  font-size:180%;
  align-self:center;
}
p#no_recommendations_hint{
  margin-top:20px;
}
#header img{
  align-self:center;
  display:inline;
  cursor:pointer;
  height:40px;
}
#index_content p{
  margin:12px 0;
}

#content_wrapper{
  min-height:calc(100vh - 30px);
  overflow:hidden;

  background:url("../res/bg.jpg") no-repeat center center fixed;
  background-size:cover;
}
.content{
  color: #5a5e60;
  box-sizing:border-box;
  width:62%;
  margin:100px auto 30px auto;
  background-color:#FFF;
  border-radius:5px;
  padding:40px;
  /* color:#FFF; */
  font-size:130%;
  display:none;
}
#was_kann_content{
  display:block;
}

/* General Element Style */
input[type=text], input[type=email], input[type=password], input[type=button]{
  color: #5a5e60;
  margin:10px 0;
  display:block;
  border: 2px solid #e0dcdb;
  border-radius:5px;
  padding:5px 10px;
  width:100%;

  background-color:#fff;
  color:#222;
  font-size:100%;
}

input[type=button]{
  background-color:#a30000;
  color:#fff;
  border-width:0;
  cursor:pointer;
}

.box input[type=button]{
  margin-top:30px;
  margin-bottom:0;
}

input[type=button]:hover{
  background-color: #720000;
}
input[type=button]:active{
  background-color: #a30000;
}

.highlight{
  color: #a30000;
}

.box{
  width:450px;
  margin:0 auto;
}

.links a{
  color: #fff !important;
  text-decoration: none;
  padding:10px;
  font-size:120%;
  display:block;
  text-align:center;
  margin:20px 0;
  background-color: #a30000;
  border-radius:5px;
}

/* Book_container and Books */
.book_container{
  padding-top:20px;
}
.book{
  background-color:#fff;
  color:#5a5e60;

  display:flex;
  flex-direction: row;
  box-shadow: 0px 0px 20px 0px rgba(0,0,0,0.5);
  margin-top:30px;
  border-radius:4px;
  width:100%;
  position:relative;
  cursor:pointer;
  height:12.5vw;
}

.book_helper{
  width:100%;
  height:100%;
  position:absolute;
  top:0;
  left:8vw;
  width:calc(100% - 8vw);
  overflow:hidden;
  background-image:linear-gradient(rgba(255,255,255,0) 70%, rgba(255,255,255,1) 100%);
}

.book:nth-child(2n+1){
  margin-right:20px;
}

.book img.book_cover{
  flex-shrink:0;
  width:8vw;
  border-radius:4px 0 0 4px;
}
.big_book{
  line-height:1.5;
}
.big_book_top{
  display:flex;
  flex-direction: row;
  margin-bottom:20px;
}
.big_book_title{
  display:flex;
  flex-direction:column;
  margin:0 auto;
  justify-content: center;
  align-items: center;
}

.book_text_container{
  margin-left:10px;
  padding:10px;
  overflow:hidden;
}
.book_author{
  color: #a30000;
}
.book_title{
  font-size:130%;
}
.book_description {
  margin-top:30px;
  font-size:95%;
}
.big_book_title{
  padding:10px;
}
img.book_status{
  position:absolute;
  right:-15px;
  top:-15px;
  width:25px;
  height:25px;
  background-color:#a30000;
  padding:5px;
  border-radius:5px;

  transform: scale(1) rotate(0deg);
  transition: transform 0.25s;
  animation-name:none;
}
img.book_status:hover{
  transform: scale(1.5) rotate(-350deg);
  transition: transform 0.25s;
  animation-name:none;

}
img.book_status.turn{
  animation: turn 0.5s 1;
}

.book_score{
  position:absolute;
  right:-15px;
  top:-15px;
  background-color:#a30000;
  padding:5px 10px;
  border-radius:5px;

  color:#FFF;
}

@keyframes turn{
  0% {
    transform: rotate(-350deg) scale(1.5);
  }
  100% {
    transform: rotate(370deg) scale(1.5);
  }
}

#book_search_textfieldbutton{
  display:flex;
  flex-direction: row;
}

#book_search_button{
  margin-left:20px;
  flex: 0 1 6em;
}

/* Loading bar */
.load-bar {
  position: relative;
  margin-top: 20px;
  width: 100%;
  height: 6px;
  background-color: #fff;
}
.bar {
  content: "";
  display: inline;
  position: absolute;
  width: 0;
  height: 100%;
  left: 50%;
  text-align: center;
}
.bar:nth-child(1) {
  background-color: #a30000;
  animation: loading 3s linear infinite;
}
.bar:nth-child(2) {
  background-color: #000;
  animation: loading 3s linear 1s infinite;
}
.bar:nth-child(3) {
  background-color: #fff;
  animation: loading 3s linear 2s infinite;
}
@keyframes loading {
    from {left: 50%; width: 0;z-index:100;}
    33.3333% {left: 0; width: 100%;z-index: 10;}
    to {left: 0; width: 100%;}
}

#impressum_content h1, #impressum_content h2, #impressum_content h3{
  margin:20px 0 5px 0;
}

#footer{
  width:100%;
  height:30px;
  background-color:#a30000;
  color:#FFF;
  display:flex;
  justify-content:center;
  align-items: center;
  position:relative;
  z-index:2;
}

p#stats{
  color:#fff;
  background-color:#a30000;
  padding:15px;
  border-radius:3px;
}

/* General Purpose Classes */
h1{
  font-size:130%;
}

a:link, a:visited, a:hover, a:active {
    color:#a30000;
}

.divider{
  width:62%;
  margin: 50px auto;
  border-bottom:2px solid #ccc;
  display:none;
}
.hint{
  margin:10px 0;
  font-style:italic;
}

.clickable{
  cursor:pointer;
}

.hidden{
  display:none;
}

.hamburger{
  background-color:#a30000 !important;
  flex-grow:0;
  padding:0 15px !important;
  display:none !important;
}

.hamburger-inner{
  border-radius:0 !important;
}

#powered_by_google{
    margin:10px;
}

#popup{
  position:fixed;
  top:0;
  left:0;
  width:100%;
  padding:5% 15%;
  height:100%;
  box-sizing:border-box;

  background-color:#a30000;
  z-index:1000;
  color:#fff;
  text-align:center;
  display:none;
}

#popup h1{
  font-size:400%;
}

#popup h2{
  font-size:200%;
  margin:0 0 50px 0;
}

#popup p{
  font-size:140%;
  margin:0 auto 20px auto;
}

#popup a{
  color:#fff;
}

#share-part, #share-buttons, #answer-close{
  display:none;
}

#answer-field{
  display:flex;
  width:50%;
  margin:50px auto;
  justify-content:space-around;
}

#answer-field p, #answer-close{
  border:2px solid #fff;
  border-radius:5px;
  padding:10px 20px;
  margin:0;
  cursor:pointer;
}

#popup #answer-close{
  margin-top:20px;
}

.ad-container{
  position:fixed;
  bottom:0;
  z-index:1;
  /* display:none; */
}

#big-desktop{
  left:calc(50% - 728px/2);
}

#small-desktop{
  left:calc(50% - 468px/2);
}

#big-mobile{
  left:calc(50% - 320px/2);
}

#small-mobile{
  left:calc(50% - 300px/2);
}

#feature-phone{
  left:calc(50% - 216px/2);
}

.adc-square, .adc-banner{
  margin:20px 0;
  text-align:center;
}

#only-on-mobile{
  display:none;
}


#ad img{
  width:100% !important;
}

button::-moz-focus-inner {
  border: 0;
}

@media(min-width: 728px) {
  #big-desktop{
    display:block;
  }
}
@media(min-width: 468px) and (max-width:727px) {
  #small-desktop{
    display:block;
  }
}
@media(min-width: 320px) and (max-width:467px) {
  #big-mobile{
    display:block;
  }
}
@media(min-width: 300px) and (max-width:319px) {
  #small-mobile{
    display:block;
  }
}
@media(max-width:299px) {
  #feature-phone{
    display:block;
  }
}

@media(min-width: 550px) {
  .adc-square{
    display:none;
  }
  .adc-banner{
    display:none;
  }
}
@media(max-width: 549px) {
  .adc-square{
    display:none;
  }
  .adc-banner{
    display:none;
  }
}


@media (min-width: 501px) and (max-width:1000px) {
  .content {
    width:calc(100% - 40px);
    margin:70px 20px 30px 20px;
  }

  #answer-field{
    flex-direction:column;
    width:100%;
  }
  #answer-field p{
    margin-top:20px;
  }

  #popup{
    font-size:85%;
    padding:50px;
  }
}

@media (min-width: 0) and (max-width:800px) {
  #only-on-mobile{
    display:block;
  }

  ul .whatsapp-share{
    display: inline !important;
  }
  .content{
    padding:25px;
  }
  #header{
    display:flex;
    background-color:#222;
  }
  .hamburger{
    display:block !important;
  }
  .box{
    width:90%;
  }
  #header_default, #header_logged_in{
    flex-direction:column;
    padding:0;
    flex-grow:1;
  }
  #header img{
    display:none;
  }
  #header p{
    padding:10px 20px;
    background-color:#222;
    display:none;
    order:2;
    font-size:150%;
    align-self:stretch;
  }
  #header p.selected{
    background-color:#a30000;
    display:block;
    order:1;
  }

  #popup{
    font-size:70%;
    padding:20px;
  }

  #answer-field{
    flex-direction:column;
    width:100%;
  }
  #answer-field p{
    margin-top:20px;
  }

  .book{
    height:auto;
  }
  .book img.book_cover{
    width:auto;
  }
  .book_helper, .book_description{
    display:none;
  }

  #book_search_textfieldbutton{
    flex-direction: column;
  }

  #book_search_button{
    margin-left:0;
    flex-basis:auto;
  }
}


@media (min-width: 0) and (max-width:500px) {
  .content {
    width:calc(100% - 40px);
    margin:70px 20px 30px 20px;
  }
  *{
    font-size:95%;
  }
  .book img.book_cover{
    height:45vw;
  }
}

ul.share-buttons{
  list-style: none;
  padding: 0;
  text-align:center;
  display:flex;
  justify-content:space-around;
  flex-wrap:wrap;
  margin-top:30px;
}

ul.share-buttons li{
  display: inline;
}

ul.share-buttons .sr-only{
  position: absolute;
  clip: rect(1px 1px 1px 1px);
  clip: rect(1px, 1px, 1px, 1px);
  padding: 0;
  border: 0;
  height: 1px;
  width: 1px;
  overflow: hidden;
}

ul.share-buttons img{
  width: 48px;
}

.whatsapp-share{
  display:none !important;
}
